## ros-rolling-marti-introspection-msgs 1.3.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.0)
project(marti_introspection_msgs)

set(CMAKE_CXX_STANDARD 14)

find_package(ament_cmake REQUIRED)
find_package(rosidl_default_generators REQUIRED)
find_package(builtin_interfaces REQUIRED)

set(MSG_FILES
  msg/NodeInfo.msg
  msg/ParamInfo.msg
  msg/TopicInfo.msg
  msg/ServiceInfo.msg
)

rosidl_generate_interfaces(${PROJECT_NAME}
  ${MSG_FILES}
  DEPENDENCIES ${MSG_DEPS}
)

ament_export_dependencies(rosidl_default_runtime)
ament_package()

=== debian/changelog ===
ros-rolling-marti-introspection-msgs (1.3.0-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Matthew Bries <mbries@swri.org>  Wed, 17 Nov 2021 19:37:47 -0000

=== debian/control ===
Source: ros-rolling-marti-introspection-msgs
Section: misc
Priority: optional
Maintainer: Matthew Bries <mbries@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-builtin-interfaces, ros-rolling-rosidl-default-generators, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: https://github.com/swri-robotics/marti_messages
Standards-Version: 3.9.2

Package: ros-rolling-marti-introspection-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-builtin-interfaces, ros-rolling-rosidl-default-runtime, ros-rolling-ros-workspace
Description: marti_introspection_msgs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-marti-introspection-msgs//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-marti-introspection-msgs 1.5.1

=== debian/changelog ===
ros-rolling-marti-introspection-msgs (1.5.1-1jammy) jammy; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Mon, 11 Sep 2023 05:00:00 -0000

ros-rolling-marti-introspection-msgs (1.5.0-1jammy) jammy; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Tue, 22 Aug 2023 05:00:00 -0000

ros-rolling-marti-introspection-msgs (1.4.1-1jammy) jammy; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Wed, 03 May 2023 05:00:00 -0000

ros-rolling-marti-introspection-msgs (1.4.0-1jammy) jammy; urgency=high

  * Add Introspection Messages (#123 <https://github.com/swri-robotics/marti_messages/issues/123>)
    * Updating authors' and maintainers' information
    * Adding introspection messages
  * Contributors: David Anthony

 -- Southwest Research Institute <swri-robotics@swri.org>  Thu, 05 Jan 2023 06:00:00 -0000

ros-rolling-marti-introspection-msgs (1.3.0-1jammy) jammy; urgency=high

  * Merge pull request #115 <https://github.com/swri-robotics/marti_messages/issues/115> from danthony06/add_ros2_introspection_msgs
    Add ros2 introspection Messages
  * Bringing in introspection messages
  * Contributors: David Anthony

 -- Matthew Bries <mbries@swri.org>  Wed, 17 Nov 2021 06:00:00 -0000

ros-rolling-marti-introspection-msgs (1.2.0-1jammy) jammy; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Thu, 19 Nov 2020 06:00:00 -0000

ros-rolling-marti-introspection-msgs (1.1.0-1jammy) jammy; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Wed, 10 Jun 2020 05:00:00 -0000

ros-rolling-marti-introspection-msgs (1.0.0-1jammy) jammy; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Fri, 04 Oct 2019 05:00:00 -0000

ros-rolling-marti-introspection-msgs (0.8.0-1jammy) jammy; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Fri, 19 Oct 2018 05:00:00 -0000

ros-rolling-marti-introspection-msgs (0.7.0-1jammy) jammy; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-rolling-marti-introspection-msgs (0.6.0-1jammy) jammy; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Thu, 24 May 2018 05:00:00 -0000

ros-rolling-marti-introspection-msgs (0.5.0-1jammy) jammy; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Thu, 05 Apr 2018 05:00:00 -0000

ros-rolling-marti-introspection-msgs (0.4.0-1jammy) jammy; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Wed, 08 Nov 2017 06:00:00 -0000

ros-rolling-marti-introspection-msgs (0.3.0-1jammy) jammy; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Thu, 28 Sep 2017 05:00:00 -0000

ros-rolling-marti-introspection-msgs (0.2.0-1jammy) jammy; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Tue, 29 Aug 2017 05:00:00 -0000

ros-rolling-marti-introspection-msgs (0.1.0-1jammy) jammy; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Tue, 15 Aug 2017 05:00:00 -0000

ros-rolling-marti-introspection-msgs (0.0.9-1jammy) jammy; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Mon, 08 May 2017 05:00:00 -0000

ros-rolling-marti-introspection-msgs (0.0.8-1jammy) jammy; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Sat, 18 Mar 2017 05:00:00 -0000

ros-rolling-marti-introspection-msgs (0.0.7-1jammy) jammy; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Mon, 06 Feb 2017 06:00:00 -0000

ros-rolling-marti-introspection-msgs (0.0.6-1jammy) jammy; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-rolling-marti-introspection-msgs (0.0.5-1jammy) jammy; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Sun, 14 Aug 2016 05:00:00 -0000

ros-rolling-marti-introspection-msgs (0.0.4-1jammy) jammy; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Fri, 20 May 2016 05:00:00 -0000

ros-rolling-marti-introspection-msgs (0.0.3-1jammy) jammy; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Fri, 11 Mar 2016 06:00:00 -0000

ros-rolling-marti-introspection-msgs (0.0.2-1jammy) jammy; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Fri, 04 Mar 2016 06:00:00 -0000

ros-rolling-marti-introspection-msgs (0.0.1-1jammy) jammy; urgency=high



 -- Southwest Research Institute <swri-robotics@swri.org>  Tue, 22 Sep 2015 05:00:00 -0000

=== debian/control ===
Source: ros-rolling-marti-introspection-msgs
Section: misc
Priority: optional
Maintainer: Southwest Research Institute <swri-robotics@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-rosidl-default-generators, ros-rolling-std-msgs, ros-rolling-ros-workspace, ros-rolling-rosidl-typesupport-fastrtps-c, ros-rolling-rosidl-typesupport-fastrtps-cpp
Homepage: https://github.com/swri-robotics/marti_messages
Standards-Version: 3.9.2

Package: ros-rolling-marti-introspection-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-rosidl-default-runtime, ros-rolling-std-msgs, ros-rolling-ros-workspace
Description: marti_introspection_msgs

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
